Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/HeuristicLab.Clients.Hive.Administration-3.4.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/HeuristicLab.Clients.Hive.Administration-3.4.csproj	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/HeuristicLab.Clients.Hive.Administration-3.4.csproj	(revision 6456)
@@ -204,8 +204,4 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Clients.Hive.ExperimentManager\3.4\HeuristicLab.Clients.Hive.ExperimentManager-3.4.csproj">
-      <Project>{DBFD7205-61AF-40EF-8776-3052DEF91CF3}</Project>
-      <Name>HeuristicLab.Clients.Hive.ExperimentManager-3.4</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Clients.Hive.Views\3.4\HeuristicLab.Clients.Hive.Views-3.4.csproj">
       <Project>{E1D6C801-892A-406A-B606-F158E36DD3C3}</Project>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/HeuristicLabClientsHiveAdministrationPlugin.cs.frame
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/HeuristicLabClientsHiveAdministrationPlugin.cs.frame	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administration/3.4/HeuristicLabClientsHiveAdministrationPlugin.cs.frame	(revision 6456)
@@ -25,4 +25,18 @@
   [Plugin("HeuristicLab.Clients.Hive.Administration", "3.4.0.$WCREV$")]
   [PluginFile("HeuristicLab.Clients.Hive.Administration-3.4.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Clients.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Collections", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Core.Views", "3.3")]
+  [PluginDependency("HeuristicLab.Data", "3.3")]
+  [PluginDependency("HeuristicLab.Hive", "3.4")]
+  [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Optimizer", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  [PluginDependency("HeuristicLab.MainForm", "3.3")]
+  [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")]
+  [PluginDependency("HeuristicLab.DayView", "1.0")]
   public class HeuristicLabClientsHiveAdministrationPlugin : PluginBase {
   }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon.csproj
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon.csproj	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon.csproj	(revision 6456)
@@ -44,7 +44,4 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="HeuristicLab.Algorithms.DataAnalysis-3.3">
-      <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Algorithms.DataAnalysis-3.3.dll</HintPath>
-    </Reference>
     <Reference Include="HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Common-3.3.dll</HintPath>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/Program.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/Program.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.SlaveTrayIcon/Program.cs	(revision 6456)
@@ -5,4 +5,5 @@
 using System.Windows.Forms;
 using HeuristicLab.Clients.Hive.SlaveCore.Views;
+using HeuristicLab.Clients.Hive.SlaveCore.Views.Properties;
 
 namespace HeuristicLab.Clients.Hive.SlaveCore.SlaveTrayIcon {
@@ -13,5 +14,5 @@
     [STAThread]
     static void Main(string[] args) {
-      if (args.Length < 1 || (args.Length > 0 && args[0] != "showui")) {
+      if (args.Length < 1 || (args.Length > 0 && args[0] != Settings.Default.ShowUICmd)) {
         KillOtherInstances();
       }
@@ -20,7 +21,7 @@
       Application.SetCompatibleTextRenderingDefault(false);
       MainWindow mw = new MainWindow();
-      if (args.Length < 1 || (args.Length > 0 && args[0] != "showui")) {
+      if (args.Length < 1 || (args.Length > 0 && args[0] != Settings.Default.ShowUICmd)) {
         mw.MinimizeToTray();
-      } else if (args.Length > 0 && args[0] == "showui") {
+      } else if (args.Length > 0 && args[0] == Settings.Default.ShowUICmd) {
         mw.RestoreFromTray();
       }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/Properties/Settings.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/Properties/Settings.Designer.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/Properties/Settings.Designer.cs	(revision 6456)
@@ -35,4 +35,28 @@
             }
         }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("showui")]
+        public string ShowUICmd {
+            get {
+                return ((string)(this["ShowUICmd"]));
+            }
+            set {
+                this["ShowUICmd"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("SlaveCommunicationServiceEndpoint")]
+        public string SlaveCommunicationServiceEndpoint {
+            get {
+                return ((string)(this["SlaveCommunicationServiceEndpoint"]));
+            }
+            set {
+                this["SlaveCommunicationServiceEndpoint"] = value;
+            }
+        }
     }
 }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/Properties/Settings.settings
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/Properties/Settings.settings	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/Properties/Settings.settings	(revision 6456)
@@ -6,4 +6,10 @@
       <Value Profile="(Default)">False</Value>
     </Setting>
+    <Setting Name="ShowUICmd" Type="System.String" Scope="User">
+      <Value Profile="(Default)">showui</Value>
+    </Setting>
+    <Setting Name="SlaveCommunicationServiceEndpoint" Type="System.String" Scope="User">
+      <Value Profile="(Default)">SlaveCommunicationServiceEndpoint</Value>
+    </Setting>
   </Settings>
 </SettingsFile>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveItem.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveItem.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveItem.cs	(revision 6456)
@@ -23,4 +23,5 @@
 using System.ServiceModel;
 using HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts;
+using HeuristicLab.Clients.Hive.SlaveCore.Views.Properties;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -80,5 +81,5 @@
     public void Open() {
       try {
-        pipeFactory = new DuplexChannelFactory<ISlaveCommunication>(this, "SlaveCommunicationServiceEndpoint");
+        pipeFactory = new DuplexChannelFactory<ISlaveCommunication>(this, Settings.Default.SlaveCommunicationServiceEndpoint);
         RegisterEvents();
       }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/SlaveView.cs	(revision 6456)
@@ -29,4 +29,5 @@
 using System.Windows.Forms;
 using System.Windows.Forms.DataVisualization.Charting;
+using HeuristicLab.Clients.Hive.SlaveCore.Views.Properties;
 using HeuristicLab.Common;
 using HeuristicLab.Core.Views;
@@ -245,5 +246,5 @@
     private void ElevateApplication() {
       // launch itself as administrator
-      ProcessStartInfo proc = new ProcessStartInfo(Application.ExecutablePath, "showui");
+      ProcessStartInfo proc = new ProcessStartInfo(Application.ExecutablePath, Settings.Default.ShowUICmd);
       proc.UseShellExecute = true;
       proc.WorkingDirectory = Environment.CurrentDirectory;
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/app.config
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/app.config	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.4/app.config	(revision 6456)
@@ -11,4 +11,10 @@
                 <value>False</value>
             </setting>
+            <setting name="ShowUICmd" serializeAs="String">
+                <value>showui</value>
+            </setting>
+            <setting name="SlaveCommunicationServiceEndpoint" serializeAs="String">
+                <value>SlaveCommunicationServiceEndpoint</value>
+            </setting>
         </HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings>
     </userSettings>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Core.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Core.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Core.cs	(revision 6456)
@@ -108,5 +108,5 @@
       //Initialize the heartbeat     
       if (heartbeatManager == null) {
-        heartbeatManager = new HeartbeatManager { Interval = new TimeSpan(0, 0, 10) };
+        heartbeatManager = new HeartbeatManager();
         heartbeatManager.StartHeartbeat();
       }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Executor.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Executor.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Executor.cs	(revision 6456)
@@ -22,4 +22,5 @@
 using System;
 using System.Threading;
+using HeuristicLab.Clients.Hive.SlaveCore.Properties;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -83,5 +84,5 @@
 
         job.Start();
-        if (!jobStartedSem.WaitOne(TimeSpan.FromSeconds(25))) {
+        if (!jobStartedSem.WaitOne(TimeSpan.FromSeconds(Settings.Default.ExecutorSemTimeouts))) {
           jobDataInvalid = true;
           throw new TimeoutException("Timeout when starting the job. JobStarted event was not fired.");
@@ -98,5 +99,5 @@
       IsPausing = true;
       // wait until job is started. if this does not happen, the Job is null an we give up
-      jobStartedSem.WaitOne(TimeSpan.FromSeconds(15));
+      jobStartedSem.WaitOne(Settings.Default.ExecutorSemTimeouts);
       if (job == null) {
         currentException = new Exception("Pausing job " + this.JobId + ": Job is null");
@@ -119,5 +120,5 @@
       IsStopping = true;
       // wait until job is started. if this does not happen, the Job is null an we give up
-      jobStartedSem.WaitOne(TimeSpan.FromSeconds(15));
+      jobStartedSem.WaitOne(Settings.Default.ExecutorSemTimeouts);
       if (job == null) {
         currentException = new Exception("Stopping job " + this.JobId + ": Job is null");
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ExecutorQueue.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ExecutorQueue.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/ExecutorQueue.cs	(revision 6456)
@@ -23,4 +23,5 @@
 using System.Collections.Generic;
 using System.Threading;
+using HeuristicLab.Clients.Hive.SlaveCore.Properties;
 
 namespace HeuristicLab.Clients.Hive.SlaveCore {
@@ -35,5 +36,5 @@
     public ExecutorQueue() {
       queue = new Queue<ExecutorMessage>();
-      semaphore = new Semaphore(0, 5000);
+      semaphore = new Semaphore(0, Settings.Default.QueuesMaxThreads);
     }
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Manager/HeartbeatManager.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Manager/HeartbeatManager.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Manager/HeartbeatManager.cs	(revision 6456)
@@ -23,4 +23,5 @@
 using System.Collections.Generic;
 using System.Threading;
+using HeuristicLab.Clients.Hive.SlaveCore.Properties;
 using HeuristicLab.Common;
 
@@ -39,9 +40,5 @@
 
     public HeartbeatManager() {
-      Interval = new TimeSpan(0, 0, 10);
-    }
-
-    public HeartbeatManager(TimeSpan interval) {
-      Interval = interval;
+      Interval = new TimeSpan(0, 0, Settings.Default.HeartbeatInterval);
     }
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Manager/PluginManager.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Manager/PluginManager.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Manager/PluginManager.cs	(revision 6456)
@@ -27,4 +27,5 @@
 using System.Runtime.Serialization.Formatters.Binary;
 using System.Threading;
+using HeuristicLab.Clients.Hive.SlaveCore.Properties;
 using HeuristicLab.Core;
 
@@ -32,7 +33,7 @@
   public class PluginManager {
     private static object locker = new object();
-    private const string lastUsedFileName = "lastUsed.dat";
+    private string lastUsedFileName = Settings.Default.LastUsedFileName;
     //maximum number of days after which a plugin gets deleted if not used
-    private const int maxAge = 5;
+    private int pluginLifetime = Settings.Default.PluginLifetime;
 
     private string PluginCacheDir { get; set; }
@@ -45,6 +46,6 @@
       this.pluginService = pluginService;
       this.log = log;
-      PluginCacheDir = Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "PluginCache");
-      PluginTempBaseDir = Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "PluginTemp");
+      PluginCacheDir = Path.Combine(AppDomain.CurrentDomain.BaseDirectory, Settings.Default.PluginCacheDir);
+      PluginTempBaseDir = Path.Combine(AppDomain.CurrentDomain.BaseDirectory, Settings.Default.PluginTempBaseDir);
       DoUpdateRun();
     }
@@ -84,5 +85,5 @@
         }
 
-        if (requestedPlugin.Name == "Configuration") {
+        if (requestedPlugin.Name == Settings.Default.ConfigurationName) {
           // configuration plugin consists only of 1 file (usually the "HeuristicLab X.X.exe.config")
           configFileName = Path.Combine(targetDir, Path.GetFileName(filePaths.SingleOrDefault()));
@@ -92,15 +93,13 @@
       // copy files from PluginInfrastructure (which are not declared in any plugins)
       string baseDir = Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location);
-      CopyFile(baseDir, targetDir, "HeuristicLab.PluginInfrastructure-3.3.dll");
-      CopyFile(baseDir, targetDir, "ICSharpCode.SharpZipLib.dll");
-      CopyFile(baseDir, targetDir, "ICSharpCode.SharpZipLib License.txt");
+      CopyFile(baseDir, targetDir, Settings.Default.PluginInfrastructureDll);
+      CopyFile(baseDir, targetDir, Settings.Default.SharpZipLibDll);
+      CopyFile(baseDir, targetDir, Settings.Default.SharpZipLibLicense);
 
       // copy slave plugins, otherwise its not possible to register the UnhandledException handler to the appdomain        
-      CopyFile(baseDir, targetDir, "HeuristicLab.Clients.Hive.SlaveCore-3.4.dll");
-      CopyFile(baseDir, targetDir, "HeuristicLab.Clients.Hive-3.4.dll");
-      //CopyFile(baseDir, targetDir, "HeuristicLab.Services.Hive.Common-3.4.dll");
-      CopyFile(baseDir, targetDir, "HeuristicLab.Hive-3.4.dll");
-      CopyFile(baseDir, targetDir, "HeuristicLab.Clients.Common-3.3.dll");
-
+      CopyFile(baseDir, targetDir, Settings.Default.ClientsHiveSlaveCoreDll);
+      CopyFile(baseDir, targetDir, Settings.Default.ClientsHiveDll);
+      CopyFile(baseDir, targetDir, Settings.Default.HiveDll);
+      CopyFile(baseDir, targetDir, Settings.Default.ClientsCommonDll);
     }
 
@@ -110,5 +109,5 @@
       di.Refresh();
       while (di.Exists) {
-        Thread.Sleep(50);
+        Thread.Sleep(Settings.Default.DirOpSleepTime);
         di.Refresh();
       }
@@ -121,5 +120,5 @@
         di = Directory.CreateDirectory(targetDir);
         while (!di.Exists) {
-          Thread.Sleep(50);
+          Thread.Sleep(Settings.Default.DirOpSleepTime);
           di.Refresh();
         }
@@ -253,5 +252,5 @@
               fs.Close();
 
-              if (luDate.AddDays(maxAge) < DateTime.Now) {
+              if (luDate.AddDays(pluginLifetime) < DateTime.Now) {
                 Directory.Delete(dir, true);
                 changed = true;
@@ -280,5 +279,5 @@
       try {
         log.LogMessage("Deleting plugins...");
-        int tries = 5;
+        int tries = Settings.Default.PluginDeletionRetries;
         string path = Path.Combine(PluginTempBaseDir, id.ToString());
         while (tries > 0) {
@@ -288,5 +287,5 @@
           }
           catch (Exception) {
-            Thread.Sleep(1000);
+            Thread.Sleep(Settings.Default.PluginDeletionTimeout);
             tries--;
             if (tries == 0) throw;
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/MessageQueue.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/MessageQueue.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/MessageQueue.cs	(revision 6456)
@@ -23,4 +23,5 @@
 using System.Collections.Generic;
 using System.Threading;
+using HeuristicLab.Clients.Hive.SlaveCore.Properties;
 
 namespace HeuristicLab.Clients.Hive.SlaveCore {
@@ -55,5 +56,5 @@
     private MessageQueue() {
       queue = new Queue<MessageContainer>();
-      semaphore = new Semaphore(0, 5000);
+      semaphore = new Semaphore(0, Settings.Default.QueuesMaxThreads);
     }
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Properties/Settings.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Properties/Settings.Designer.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Properties/Settings.Designer.cs	(revision 6456)
@@ -2,5 +2,5 @@
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:4.0.30319.1
+//     Runtime Version:4.0.30319.225
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -26,11 +26,251 @@
         [global::System.Configuration.UserScopedSettingAttribute()]
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-        [global::System.Configuration.DefaultSettingValueAttribute("00000000-0000-0000-0000-000000000000")]
-        public global::System.Guid Guid {
-            get {
-                return ((global::System.Guid)(this["Guid"]));
-            }
-            set {
-                this["Guid"] = value;
+        [global::System.Configuration.DefaultSettingValueAttribute("10")]
+        public int HeartbeatInterval {
+            get {
+                return ((int)(this["HeartbeatInterval"]));
+            }
+            set {
+                this["HeartbeatInterval"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("lastUsed.dat")]
+        public string LastUsedFileName {
+            get {
+                return ((string)(this["LastUsedFileName"]));
+            }
+            set {
+                this["LastUsedFileName"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("PluginCache")]
+        public string PluginCacheDir {
+            get {
+                return ((string)(this["PluginCacheDir"]));
+            }
+            set {
+                this["PluginCacheDir"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("PluginTemp")]
+        public string PluginTempBaseDir {
+            get {
+                return ((string)(this["PluginTempBaseDir"]));
+            }
+            set {
+                this["PluginTempBaseDir"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("Configuration")]
+        public string ConfigurationName {
+            get {
+                return ((string)(this["ConfigurationName"]));
+            }
+            set {
+                this["ConfigurationName"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("HeuristicLab.PluginInfrastructure-3.3.dll")]
+        public string PluginInfrastructureDll {
+            get {
+                return ((string)(this["PluginInfrastructureDll"]));
+            }
+            set {
+                this["PluginInfrastructureDll"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("ICSharpCode.SharpZipLib.dll")]
+        public string SharpZipLibDll {
+            get {
+                return ((string)(this["SharpZipLibDll"]));
+            }
+            set {
+                this["SharpZipLibDll"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("ICSharpCode.SharpZipLib License.txt")]
+        public string SharpZipLibLicense {
+            get {
+                return ((string)(this["SharpZipLibLicense"]));
+            }
+            set {
+                this["SharpZipLibLicense"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("HeuristicLab.Clients.Hive.SlaveCore-3.4.dll")]
+        public string ClientsHiveSlaveCoreDll {
+            get {
+                return ((string)(this["ClientsHiveSlaveCoreDll"]));
+            }
+            set {
+                this["ClientsHiveSlaveCoreDll"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("HeuristicLab.Clients.Hive-3.4.dll")]
+        public string ClientsHiveDll {
+            get {
+                return ((string)(this["ClientsHiveDll"]));
+            }
+            set {
+                this["ClientsHiveDll"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("HeuristicLab.Hive-3.4.dll")]
+        public string HiveDll {
+            get {
+                return ((string)(this["HiveDll"]));
+            }
+            set {
+                this["HiveDll"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("HeuristicLab.Clients.Common-3.3.dll")]
+        public string ClientsCommonDll {
+            get {
+                return ((string)(this["ClientsCommonDll"]));
+            }
+            set {
+                this["ClientsCommonDll"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("3")]
+        public int PluginLifetime {
+            get {
+                return ((int)(this["PluginLifetime"]));
+            }
+            set {
+                this["PluginLifetime"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("50")]
+        public int DirOpSleepTime {
+            get {
+                return ((int)(this["DirOpSleepTime"]));
+            }
+            set {
+                this["DirOpSleepTime"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("5")]
+        public int PluginDeletionRetries {
+            get {
+                return ((int)(this["PluginDeletionRetries"]));
+            }
+            set {
+                this["PluginDeletionRetries"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("1000")]
+        public int PluginDeletionTimeout {
+            get {
+                return ((int)(this["PluginDeletionTimeout"]));
+            }
+            set {
+                this["PluginDeletionTimeout"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("45")]
+        public int ExecutorSemTimeouts {
+            get {
+                return ((int)(this["ExecutorSemTimeouts"]));
+            }
+            set {
+                this["ExecutorSemTimeouts"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("5000")]
+        public int QueuesMaxThreads {
+            get {
+                return ((int)(this["QueuesMaxThreads"]));
+            }
+            set {
+                this["QueuesMaxThreads"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("SlaveCommunicationServiceEndpoint")]
+        public string SlaveCommunicationServiceEndpoint {
+            get {
+                return ((string)(this["SlaveCommunicationServiceEndpoint"]));
+            }
+            set {
+                this["SlaveCommunicationServiceEndpoint"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("hiveslave")]
+        public string SlaveUser {
+            get {
+                return ((string)(this["SlaveUser"]));
+            }
+            set {
+                this["SlaveUser"] = value;
+            }
+        }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("hiveslave")]
+        public string SlavePwd {
+            get {
+                return ((string)(this["SlavePwd"]));
+            }
+            set {
+                this["SlavePwd"] = value;
             }
         }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Properties/Settings.settings
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Properties/Settings.settings	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/Properties/Settings.settings	(revision 6456)
@@ -1,8 +1,68 @@
 ﻿<?xml version='1.0' encoding='utf-8'?>
-<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="HeuristicLab.Clients.Hive.Slave.Properties" GeneratedClassName="Settings">
+<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="HeuristicLab.Clients.Hive.SlaveCore.Properties" GeneratedClassName="Settings">
   <Profiles />
   <Settings>
-    <Setting Name="Guid" Type="System.Guid" Scope="User">
-      <Value Profile="(Default)">00000000-0000-0000-0000-000000000000</Value>
+    <Setting Name="HeartbeatInterval" Type="System.Int32" Scope="User">
+      <Value Profile="(Default)">10</Value>
+    </Setting>
+    <Setting Name="LastUsedFileName" Type="System.String" Scope="User">
+      <Value Profile="(Default)">lastUsed.dat</Value>
+    </Setting>
+    <Setting Name="PluginCacheDir" Type="System.String" Scope="User">
+      <Value Profile="(Default)">PluginCache</Value>
+    </Setting>
+    <Setting Name="PluginTempBaseDir" Type="System.String" Scope="User">
+      <Value Profile="(Default)">PluginTemp</Value>
+    </Setting>
+    <Setting Name="ConfigurationName" Type="System.String" Scope="User">
+      <Value Profile="(Default)">Configuration</Value>
+    </Setting>
+    <Setting Name="PluginInfrastructureDll" Type="System.String" Scope="User">
+      <Value Profile="(Default)">HeuristicLab.PluginInfrastructure-3.3.dll</Value>
+    </Setting>
+    <Setting Name="SharpZipLibDll" Type="System.String" Scope="User">
+      <Value Profile="(Default)">ICSharpCode.SharpZipLib.dll</Value>
+    </Setting>
+    <Setting Name="SharpZipLibLicense" Type="System.String" Scope="User">
+      <Value Profile="(Default)">ICSharpCode.SharpZipLib License.txt</Value>
+    </Setting>
+    <Setting Name="ClientsHiveSlaveCoreDll" Type="System.String" Scope="User">
+      <Value Profile="(Default)">HeuristicLab.Clients.Hive.SlaveCore-3.4.dll</Value>
+    </Setting>
+    <Setting Name="ClientsHiveDll" Type="System.String" Scope="User">
+      <Value Profile="(Default)">HeuristicLab.Clients.Hive-3.4.dll</Value>
+    </Setting>
+    <Setting Name="HiveDll" Type="System.String" Scope="User">
+      <Value Profile="(Default)">HeuristicLab.Hive-3.4.dll</Value>
+    </Setting>
+    <Setting Name="ClientsCommonDll" Type="System.String" Scope="User">
+      <Value Profile="(Default)">HeuristicLab.Clients.Common-3.3.dll</Value>
+    </Setting>
+    <Setting Name="PluginLifetime" Type="System.Int32" Scope="User">
+      <Value Profile="(Default)">3</Value>
+    </Setting>
+    <Setting Name="DirOpSleepTime" Type="System.Int32" Scope="User">
+      <Value Profile="(Default)">50</Value>
+    </Setting>
+    <Setting Name="PluginDeletionRetries" Type="System.Int32" Scope="User">
+      <Value Profile="(Default)">5</Value>
+    </Setting>
+    <Setting Name="PluginDeletionTimeout" Type="System.Int32" Scope="User">
+      <Value Profile="(Default)">1000</Value>
+    </Setting>
+    <Setting Name="ExecutorSemTimeouts" Type="System.Int32" Scope="User">
+      <Value Profile="(Default)">45</Value>
+    </Setting>
+    <Setting Name="QueuesMaxThreads" Type="System.Int32" Scope="User">
+      <Value Profile="(Default)">5000</Value>
+    </Setting>
+    <Setting Name="SlaveCommunicationServiceEndpoint" Type="System.String" Scope="User">
+      <Value Profile="(Default)">SlaveCommunicationServiceEndpoint</Value>
+    </Setting>
+    <Setting Name="SlaveUser" Type="System.String" Scope="User">
+      <Value Profile="(Default)">hiveslave</Value>
+    </Setting>
+    <Setting Name="SlavePwd" Type="System.String" Scope="User">
+      <Value Profile="(Default)">hiveslave</Value>
     </Setting>
   </Settings>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveClientCom.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveClientCom.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveClientCom.cs	(revision 6456)
@@ -21,4 +21,5 @@
 
 using System.ServiceModel;
+using HeuristicLab.Clients.Hive.SlaveCore.Properties;
 using HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts;
 
@@ -53,5 +54,5 @@
       DummyListener dummy = new DummyListener();
       try {
-        pipeFactory = new DuplexChannelFactory<ISlaveCommunication>(dummy, "SlaveCommunicationServiceEndpoint");
+        pipeFactory = new DuplexChannelFactory<ISlaveCommunication>(dummy, Settings.Default.SlaveCommunicationServiceEndpoint);
       }
       catch {
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveJob.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveJob.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/SlaveJob.cs	(revision 6456)
@@ -23,4 +23,5 @@
 using System.IO;
 using System.Threading;
+using HeuristicLab.Clients.Hive.SlaveCore.Properties;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -126,5 +127,5 @@
       if (appDomain != null) {
         appDomain.UnhandledException -= new UnhandledExceptionEventHandler(AppDomain_UnhandledException);
-        int repeat = 5;
+        int repeat = Settings.Default.PluginDeletionRetries;
         while (repeat > 0) {
           try {
@@ -136,5 +137,5 @@
           catch (CannotUnloadAppDomainException) {
             log.LogMessage("Could not unload AppDomain, will try again in 1 sec.");
-            Thread.Sleep(1000);
+            Thread.Sleep(Settings.Default.PluginDeletionTimeout);
             repeat--;
             if (repeat == 0) {
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/WcfService.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/WcfService.cs	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/WcfService.cs	(revision 6456)
@@ -22,4 +22,5 @@
 using System;
 using System.Collections.Generic;
+using HeuristicLab.Clients.Hive.SlaveCore.Properties;
 using HeuristicLab.Common;
 
@@ -42,6 +43,6 @@
         if (instance == null) {
           instance = new WcfService();
-          ServiceLocator.Instance.Username = "hiveslave";
-          ServiceLocator.Instance.Password = "hiveslave";
+          ServiceLocator.Instance.Username = Settings.Default.SlaveUser;
+          ServiceLocator.Instance.Password = Settings.Default.SlavePwd;
         }
         return instance;
@@ -77,5 +78,5 @@
         HiveClient.TryAndRepeat(() => {
           service.UpdateJobData(job, jobData);
-        }, 3, "Could not upload jobdata.");
+        }, Settings.Default.PluginDeletionRetries, "Could not upload jobdata.");
         service.UpdateJobState(job.Id, state, slaveId, null, exception);
       });
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/app_ascheibe.config
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/app_ascheibe.config	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/app_ascheibe.config	(revision 6456)
@@ -6,15 +6,76 @@
 
   <configSections>
-    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-      <section name="HeuristicLab.Clients.Hive.Slave.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false"/>
+    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
+      <section name="HeuristicLab.Clients.Hive.SlaveCore.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
     </sectionGroup>
   </configSections>
   <userSettings>
-    <HeuristicLab.Clients.Hive.Slave.Properties.Settings>
-      <setting name="Guid" serializeAs="String">
-        <value>00000000-0000-0000-0000-000000000000</value>
+    <HeuristicLab.Clients.Hive.SlaveCore.Properties.Settings>
+      <setting name="HeartbeatInterval" serializeAs="String">
+        <value>10</value>
       </setting>
-    </HeuristicLab.Clients.Hive.Slave.Properties.Settings>
+      <setting name="LastUsedFileName" serializeAs="String">
+        <value>lastUsed.dat</value>
+      </setting>
+      <setting name="PluginCacheDir" serializeAs="String">
+        <value>PluginCache</value>
+      </setting>
+      <setting name="PluginTempBaseDir" serializeAs="String">
+        <value>PluginTemp</value>
+      </setting>
+      <setting name="ConfigurationName" serializeAs="String">
+        <value>Configuration</value>
+      </setting>
+      <setting name="PluginInfrastructureDll" serializeAs="String">
+        <value>HeuristicLab.PluginInfrastructure-3.3.dll</value>
+      </setting>
+      <setting name="SharpZipLibDll" serializeAs="String">
+        <value>ICSharpCode.SharpZipLib.dll</value>
+      </setting>
+      <setting name="SharpZipLibLicense" serializeAs="String">
+        <value>ICSharpCode.SharpZipLib License.txt</value>
+      </setting>
+      <setting name="ClientsHiveSlaveCoreDll" serializeAs="String">
+        <value>HeuristicLab.Clients.Hive.SlaveCore-3.4.dll</value>
+      </setting>
+      <setting name="ClientsHiveDll" serializeAs="String">
+        <value>HeuristicLab.Clients.Hive-3.4.dll</value>
+      </setting>
+      <setting name="HiveDll" serializeAs="String">
+        <value>HeuristicLab.Hive-3.4.dll</value>
+      </setting>
+      <setting name="ClientsCommonDll" serializeAs="String">
+        <value>HeuristicLab.Clients.Common-3.3.dll</value>
+      </setting>
+      <setting name="PluginLifetime" serializeAs="String">
+        <value>3</value>
+      </setting>
+      <setting name="DirOpSleepTime" serializeAs="String">
+        <value>50</value>
+      </setting>
+      <setting name="PluginDeletionRetries" serializeAs="String">
+        <value>5</value>
+      </setting>
+      <setting name="PluginDeletionTimeout" serializeAs="String">
+        <value>1000</value>
+      </setting>
+      <setting name="ExecutorSemTimeouts" serializeAs="String">
+        <value>45</value>
+      </setting>
+      <setting name="QueuesMaxThreads" serializeAs="String">
+        <value>5000</value>
+      </setting>
+      <setting name="SlaveCommunicationServiceEndpoint" serializeAs="String">
+        <value>SlaveCommunicationServiceEndpoint</value>
+      </setting>
+      <setting name="SlaveUser" serializeAs="String">
+        <value>hiveslave</value>
+      </setting>
+      <setting name="SlavePwd" serializeAs="String">
+        <value>hiveslave</value>
+      </setting>
+    </HeuristicLab.Clients.Hive.SlaveCore.Properties.Settings>
   </userSettings>
+
 
   <system.serviceModel>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/app_f005pc.config
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/app_f005pc.config	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/app_f005pc.config	(revision 6456)
@@ -6,15 +6,76 @@
 
   <configSections>
-    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-      <section name="HeuristicLab.Clients.Hive.Slave.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false"/>
+    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
+      <section name="HeuristicLab.Clients.Hive.SlaveCore.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
     </sectionGroup>
   </configSections>
   <userSettings>
-    <HeuristicLab.Clients.Hive.Slave.Properties.Settings>
-      <setting name="Guid" serializeAs="String">
-        <value>00000000-0000-0000-0000-000000000000</value>
+    <HeuristicLab.Clients.Hive.SlaveCore.Properties.Settings>
+      <setting name="HeartbeatInterval" serializeAs="String">
+        <value>10</value>
       </setting>
-    </HeuristicLab.Clients.Hive.Slave.Properties.Settings>
+      <setting name="LastUsedFileName" serializeAs="String">
+        <value>lastUsed.dat</value>
+      </setting>
+      <setting name="PluginCacheDir" serializeAs="String">
+        <value>PluginCache</value>
+      </setting>
+      <setting name="PluginTempBaseDir" serializeAs="String">
+        <value>PluginTemp</value>
+      </setting>
+      <setting name="ConfigurationName" serializeAs="String">
+        <value>Configuration</value>
+      </setting>
+      <setting name="PluginInfrastructureDll" serializeAs="String">
+        <value>HeuristicLab.PluginInfrastructure-3.3.dll</value>
+      </setting>
+      <setting name="SharpZipLibDll" serializeAs="String">
+        <value>ICSharpCode.SharpZipLib.dll</value>
+      </setting>
+      <setting name="SharpZipLibLicense" serializeAs="String">
+        <value>ICSharpCode.SharpZipLib License.txt</value>
+      </setting>
+      <setting name="ClientsHiveSlaveCoreDll" serializeAs="String">
+        <value>HeuristicLab.Clients.Hive.SlaveCore-3.4.dll</value>
+      </setting>
+      <setting name="ClientsHiveDll" serializeAs="String">
+        <value>HeuristicLab.Clients.Hive-3.4.dll</value>
+      </setting>
+      <setting name="HiveDll" serializeAs="String">
+        <value>HeuristicLab.Hive-3.4.dll</value>
+      </setting>
+      <setting name="ClientsCommonDll" serializeAs="String">
+        <value>HeuristicLab.Clients.Common-3.3.dll</value>
+      </setting>
+      <setting name="PluginLifetime" serializeAs="String">
+        <value>3</value>
+      </setting>
+      <setting name="DirOpSleepTime" serializeAs="String">
+        <value>50</value>
+      </setting>
+      <setting name="PluginDeletionRetries" serializeAs="String">
+        <value>5</value>
+      </setting>
+      <setting name="PluginDeletionTimeout" serializeAs="String">
+        <value>1000</value>
+      </setting>
+      <setting name="ExecutorSemTimeouts" serializeAs="String">
+        <value>45</value>
+      </setting>
+      <setting name="QueuesMaxThreads" serializeAs="String">
+        <value>5000</value>
+      </setting>
+      <setting name="SlaveCommunicationServiceEndpoint" serializeAs="String">
+        <value>SlaveCommunicationServiceEndpoint</value>
+      </setting>
+      <setting name="SlaveUser" serializeAs="String">
+        <value>hiveslave</value>
+      </setting>
+      <setting name="SlavePwd" serializeAs="String">
+        <value>hiveslave</value>
+      </setting>
+    </HeuristicLab.Clients.Hive.SlaveCore.Properties.Settings>
   </userSettings>
+  
 
   <system.serviceModel>
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/app_services.config
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/app_services.config	(revision 6455)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave/3.4/app_services.config	(revision 6456)
@@ -6,15 +6,76 @@
 
   <configSections>
-    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
-      <section name="HeuristicLab.Clients.Hive.Slave.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false"/>
+    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
+      <section name="HeuristicLab.Clients.Hive.SlaveCore.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
     </sectionGroup>
   </configSections>
   <userSettings>
-    <HeuristicLab.Clients.Hive.Slave.Properties.Settings>
-      <setting name="Guid" serializeAs="String">
-        <value>00000000-0000-0000-0000-000000000000</value>
+    <HeuristicLab.Clients.Hive.SlaveCore.Properties.Settings>
+      <setting name="HeartbeatInterval" serializeAs="String">
+        <value>10</value>
       </setting>
-    </HeuristicLab.Clients.Hive.Slave.Properties.Settings>
+      <setting name="LastUsedFileName" serializeAs="String">
+        <value>lastUsed.dat</value>
+      </setting>
+      <setting name="PluginCacheDir" serializeAs="String">
+        <value>PluginCache</value>
+      </setting>
+      <setting name="PluginTempBaseDir" serializeAs="String">
+        <value>PluginTemp</value>
+      </setting>
+      <setting name="ConfigurationName" serializeAs="String">
+        <value>Configuration</value>
+      </setting>
+      <setting name="PluginInfrastructureDll" serializeAs="String">
+        <value>HeuristicLab.PluginInfrastructure-3.3.dll</value>
+      </setting>
+      <setting name="SharpZipLibDll" serializeAs="String">
+        <value>ICSharpCode.SharpZipLib.dll</value>
+      </setting>
+      <setting name="SharpZipLibLicense" serializeAs="String">
+        <value>ICSharpCode.SharpZipLib License.txt</value>
+      </setting>
+      <setting name="ClientsHiveSlaveCoreDll" serializeAs="String">
+        <value>HeuristicLab.Clients.Hive.SlaveCore-3.4.dll</value>
+      </setting>
+      <setting name="ClientsHiveDll" serializeAs="String">
+        <value>HeuristicLab.Clients.Hive-3.4.dll</value>
+      </setting>
+      <setting name="HiveDll" serializeAs="String">
+        <value>HeuristicLab.Hive-3.4.dll</value>
+      </setting>
+      <setting name="ClientsCommonDll" serializeAs="String">
+        <value>HeuristicLab.Clients.Common-3.3.dll</value>
+      </setting>
+      <setting name="PluginLifetime" serializeAs="String">
+        <value>3</value>
+      </setting>
+      <setting name="DirOpSleepTime" serializeAs="String">
+        <value>50</value>
+      </setting>
+      <setting name="PluginDeletionRetries" serializeAs="String">
+        <value>5</value>
+      </setting>
+      <setting name="PluginDeletionTimeout" serializeAs="String">
+        <value>1000</value>
+      </setting>
+      <setting name="ExecutorSemTimeouts" serializeAs="String">
+        <value>45</value>
+      </setting>
+      <setting name="QueuesMaxThreads" serializeAs="String">
+        <value>5000</value>
+      </setting>
+      <setting name="SlaveCommunicationServiceEndpoint" serializeAs="String">
+        <value>SlaveCommunicationServiceEndpoint</value>
+      </setting>
+      <setting name="SlaveUser" serializeAs="String">
+        <value>hiveslave</value>
+      </setting>
+      <setting name="SlavePwd" serializeAs="String">
+        <value>hiveslave</value>
+      </setting>
+    </HeuristicLab.Clients.Hive.SlaveCore.Properties.Settings>
   </userSettings>
+ 
 
   <system.serviceModel>
